# Class StandardJMeterEngine

java.lang.Object
org.apache.jmeter.engine.StandardJMeterEngine

All Implemented Interfaces:
  `Runnable, JMeterEngine`

public class StandardJMeterEngine extends Object implements JMeterEngine, Runnable
Runs JMeter tests, either directly for local GUI and non-GUI invocations, or started by `RemoteJMeterEngineImpl` when running in server mode.

## Constructor Summary

Constructors
Constructor
Description
`StandardJMeterEngine()`
`StandardJMeterEngine(String host)`

## Method Summary

Modifier and Type
Method
Description
`void`
`askThreadsToStop()`
`void`
`configure(HashTree testTree)`
`void`
`exit()`
`boolean`
`isActive()`
`static void`
`register(TestStateListener tl)`
`void`
`reset()`
`void`
`run()`
`void`
`runTest()`
`void`
`setProperties(Properties p)`
`static void`
`stopEngine()`
`static void`
`stopEngineNow()`
`void`
`stopTest()`
`void`
`stopTest(boolean now)`
`static boolean`
`stopThread(String threadName)`
`static boolean`
`stopThreadNow(String threadName)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardJMeterEngine

public StandardJMeterEngine()

### StandardJMeterEngine

public StandardJMeterEngine(String host)

## Method Details

### stopEngineNow

public static void stopEngineNow()

### stopEngine

public static void stopEngine()

### register

public static void register(TestStateListener tl)

### stopThread

public static boolean stopThread(String threadName)

### stopThreadNow

public static boolean stopThreadNow(String threadName)

### configure

public void configure(HashTree testTree)

Specified by:
  `configure` in interface `JMeterEngine`

### runTest

public void runTest() throws JMeterEngineException

Specified by:
  `runTest` in interface `JMeterEngine`
Throws:
  `JMeterEngineException`

### reset

public void reset()

Specified by:
  `reset` in interface `JMeterEngine`

### stopTest

public void stopTest()

### stopTest

public void stopTest(boolean now)

Specified by:
  `stopTest` in interface `JMeterEngine`

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### askThreadsToStop

public void askThreadsToStop()

### exit

public void exit()

Specified by:
  `exit` in interface `JMeterEngine`

### setProperties

public void setProperties(Properties p)

Specified by:
  `setProperties` in interface `JMeterEngine`

### isActive

public boolean isActive()

Specified by:
  `isActive` in interface `JMeterEngine`